> ## Documentation Index
> Fetch the complete documentation index at: https://devzone.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decline a Payment Refund

> Submits a request to decline a previously submitted payment refund request. The request body includes details such as the transaction ID and reason for declining the refund.



## OpenAPI

````yaml /openapi/lynx.yaml post /v1/payment/refund-decline
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/payment/refund-decline:
    post:
      tags:
        - Payment
      summary: Decline a Payment Refund
      description: >-
        Submits a request to decline a previously submitted payment refund
        request. The request body includes details such as the transaction ID
        and reason for declining the refund.
      operationId: decline-payment-refund
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentRefundDeclineLynxModel'
      responses:
        '200':
          description: >-
            The refund decline request was successfully processed, and the
            response contains the result of the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundPaymentLynxModelResponse'
components:
  schemas:
    PaymentRefundDeclineLynxModel:
      type: object
      properties:
        DeclineReason:
          type: string
          nullable: true
          description: The reason for declining the refund request.
        TransactionId:
          type: integer
          format: int64
          description: >-
            The unique identifier of the transaction for which the refund is
            being declined.
        SiteId:
          type: integer
          format: int32
          description: The unique identifier of the site where the transaction occurred.
        MachineAuTime:
          type: string
          format: date-time
          description: The machine's authorization time associated with the transaction.
      additionalProperties: false
    RefundPaymentLynxModelResponse:
      type: object
      properties:
        Result:
          type: string
          nullable: true
          description: The result of the refund request, indicating success or failure.
        Status:
          type: string
          nullable: true
          description: The current status of the refund request.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````